package pl.alx.kurs.colourlovers;

import java.util.List;

import pl.alx.kurs.colourlovers.model.Pattern;
import android.app.Activity;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class PatternsAdapter extends BaseAdapter {
	private List<Pattern> patterns;
	
	public PatternsAdapter(List<Pattern> patterns) {
		this.patterns = patterns;
	}

	public int getCount() {
		return patterns.size();
	}

	public Pattern getItem(int position) {
		return patterns.get(position);
	}

	public long getItemId(int position) {
		return position;
	}

	public View getView(int position, View convertView, ViewGroup parent) {
		View patternView;
		if (convertView == null) {
			patternView = ((Activity) parent.getContext()).getLayoutInflater().inflate(R.layout.pattern, null);
		} else {
			patternView = convertView;
		}
		Pattern pattern = getItem(position);
		((ImageView) patternView.findViewById(R.id.obraz)).setImageBitmap(pattern.getImage());
		((TextView) patternView.findViewById(R.id.opis)).setText(pattern.getTitle());
		return patternView;
	}
}
